[arch-commits] Commit in libosinfo/repos/community-x86_64 (4 files)

Balló György bgyorgy at archlinux.org
Wed Apr 17 19:46:12 UTC 2019


    Date: Wednesday, April 17, 2019 @ 19:46:11
  Author: bgyorgy
Revision: 451919

archrelease: copy trunk to community-x86_64

Added:
  libosinfo/repos/community-x86_64/0001-media-Fix-usage-of-application-id.patch
    (from rev 451918, libosinfo/trunk/0001-media-Fix-usage-of-application-id.patch)
  libosinfo/repos/community-x86_64/0002-loader-Properly-load-the-arch-value-for-images.patch
    (from rev 451918, libosinfo/trunk/0002-loader-Properly-load-the-arch-value-for-images.patch)
  libosinfo/repos/community-x86_64/PKGBUILD
    (from rev 451918, libosinfo/trunk/PKGBUILD)
Deleted:
  libosinfo/repos/community-x86_64/PKGBUILD

-----------------------------------------------------------+
 0001-media-Fix-usage-of-application-id.patch              |   38 +++++
 0002-loader-Properly-load-the-arch-value-for-images.patch |   37 ++++
 PKGBUILD                                                  |   90 ++++++------
 3 files changed, 124 insertions(+), 41 deletions(-)

Copied: libosinfo/repos/community-x86_64/0001-media-Fix-usage-of-application-id.patch (from rev 451918, libosinfo/trunk/0001-media-Fix-usage-of-application-id.patch)
===================================================================
--- 0001-media-Fix-usage-of-application-id.patch	                        (rev 0)
+++ 0001-media-Fix-usage-of-application-id.patch	2019-04-17 19:46:11 UTC (rev 451919)
@@ -0,0 +1,38 @@
+From 2626058a7921749387f8d3107241af7507f48c65 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Fabiano=20Fid=C3=AAncio?= <fidencio at redhat.com>
+Date: Mon, 1 Apr 2019 22:40:48 +0200
+Subject: [PATCH] media: Fix usage of application id
+MIME-Version: 1.0
+Content-Type: text/plain; charset=UTF-8
+Content-Transfer-Encoding: 8bit
+
+Christophe Fergeau pointed this issue out during the review of 6d789033e
+and, even though, the bogus code ended up merged (sorry, mea culpa
+here!).
+
+Signed-off-by: Fabiano Fidêncio <fidencio at redhat.com>
+Reviewed-by: Cole Robinson <crobinso at redhat.com>
+---
+ osinfo/osinfo_media.c | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/osinfo/osinfo_media.c b/osinfo/osinfo_media.c
+index b16fcf6..4f86c2b 100644
+--- a/osinfo/osinfo_media.c
++++ b/osinfo/osinfo_media.c
+@@ -830,10 +830,10 @@ create_from_location_async_data(CreateFromLocationAsyncData *data)
+         osinfo_entity_set_param(OSINFO_ENTITY(media),
+                                 OSINFO_MEDIA_PROP_PUBLISHER_ID,
+                                 data->publisher);
+-    if (!is_str_empty(data->pvd.application))
++    if (!is_str_empty(data->application))
+         osinfo_entity_set_param(OSINFO_ENTITY(media),
+                                 OSINFO_MEDIA_PROP_APPLICATION_ID,
+-                                data->pvd.application);
++                                data->application);
+ 
+     index = (G_BYTE_ORDER == G_LITTLE_ENDIAN) ? 0 : 1;
+     vol_size = ((gint64) data->pvd.volume_space_size[index]) *
+-- 
+2.20.1
+

Copied: libosinfo/repos/community-x86_64/0002-loader-Properly-load-the-arch-value-for-images.patch (from rev 451918, libosinfo/trunk/0002-loader-Properly-load-the-arch-value-for-images.patch)
===================================================================
--- 0002-loader-Properly-load-the-arch-value-for-images.patch	                        (rev 0)
+++ 0002-loader-Properly-load-the-arch-value-for-images.patch	2019-04-17 19:46:11 UTC (rev 451919)
@@ -0,0 +1,37 @@
+From 1940739805409af9e39c61dbfe238e6c9b1519b6 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Fabiano=20Fid=C3=AAncio?= <fidencio at redhat.com>
+Date: Wed, 10 Apr 2019 13:45:14 +0200
+Subject: [PATCH] loader: Properly load the arch value for images
+MIME-Version: 1.0
+Content-Type: text/plain; charset=UTF-8
+Content-Transfer-Encoding: 8bit
+
+osinfo_loader_image() has been considering the XML tag for the
+images' architecture was "architecture", while it actually is "arch".
+
+By trying to read the wrong tag, no arch was loaded, causing then any
+image load to fail with:
+CRITICAL **: 13:30:06.539: osinfo_entity_set_param: assertion 'value != NULL' failed
+
+Signed-off-by: Fabiano Fidêncio <fidencio at redhat.com>
+---
+ osinfo/osinfo_loader.c | 3 +--
+ 1 file changed, 1 insertion(+), 2 deletions(-)
+
+diff --git a/osinfo/osinfo_loader.c b/osinfo/osinfo_loader.c
+index e30148b..84c25e5 100644
+--- a/osinfo/osinfo_loader.c
++++ b/osinfo/osinfo_loader.c
+@@ -1312,8 +1312,7 @@ static OsinfoImage *osinfo_loader_image(OsinfoLoader *loader,
+         { NULL, G_TYPE_INVALID }
+     };
+ 
+-    gchar *arch = (gchar *)xmlGetProp(root,
+-                                      BAD_CAST OSINFO_IMAGE_PROP_ARCHITECTURE);
++    gchar *arch = (gchar *)xmlGetProp(root, BAD_CAST "arch");
+     gchar *format = (gchar *)xmlGetProp(root,
+                                         BAD_CAST OSINFO_IMAGE_PROP_FORMAT);
+     gchar *cloud_init = (gchar *)xmlGetProp(root,
+-- 
+2.20.1
+

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-04-17 19:46:05 UTC (rev 451918)
+++ PKGBUILD	2019-04-17 19:46:11 UTC (rev 451919)
@@ -1,41 +0,0 @@
-# Maintainer: Balló György <ballogyor+arch at gmail dot com>
-# Contributor: Stefano Facchini <stefano.facchini at gmail.com>
-
-pkgname=libosinfo
-pkgver=1.4.0
-pkgrel=1
-pkgdesc="GObject based library API for managing information about operating systems, hypervisors and the (virtual) hardware devices they can support"
-arch=('x86_64')
-url="https://libosinfo.org/"
-license=('GPL' 'LGPL')
-depends=('glib2' 'libxslt' 'osinfo-db')
-makedepends=('check' 'gobject-introspection' 'libsoup' 'vala' 'gtk-doc')
-source=(https://releases.pagure.org/libosinfo/$pkgname-$pkgver.tar.gz{,.asc})
-validpgpkeys=('DAF3A6FDB26B62912D0E8E3FBE86EBB415104FDF'  # Daniel P. Berrange
-              '09B9C8FF223EF113AFA06A39EE926C2BDACC177B') # Fabiano Fidêncio <fidencio at redhat.com>
-sha256sums=('a29e61a82b1a5727b145403914812273dfa033a0c07a15500078726bb3b84165'
-            'SKIP')
-
-prepare() {
-  cd $pkgname-$pkgver
-  sed -i '/export LC_ALL = C/d' maint.mk
-}
-
-build() {
-  cd $pkgname-$pkgver
-  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
-              --with-usb-ids-path=/usr/share/hwdata/usb.ids \
-              --with-pci-ids-path=/usr/share/hwdata/pci.ids \
-              --enable-gtk-doc
-  make
-}
-
-check() {
-  cd $pkgname-$pkgver
-  make check || :
-}
-
-package() {
-  cd $pkgname-$pkgver
-  make DESTDIR="$pkgdir" install
-}

Copied: libosinfo/repos/community-x86_64/PKGBUILD (from rev 451918, libosinfo/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-04-17 19:46:11 UTC (rev 451919)
@@ -0,0 +1,49 @@
+# Maintainer: Balló György <ballogyor+arch at gmail dot com>
+# Contributor: Stefano Facchini <stefano.facchini at gmail.com>
+
+pkgname=libosinfo
+pkgver=1.4.0
+pkgrel=2
+pkgdesc="GObject based library API for managing information about operating systems, hypervisors and the (virtual) hardware devices they can support"
+arch=('x86_64')
+url="https://libosinfo.org/"
+license=('GPL' 'LGPL')
+depends=('glib2' 'libxslt' 'osinfo-db')
+makedepends=('check' 'gobject-introspection' 'libsoup' 'vala' 'gtk-doc')
+source=(https://releases.pagure.org/libosinfo/$pkgname-$pkgver.tar.gz{,.asc}
+        0001-media-Fix-usage-of-application-id.patch
+        0002-loader-Properly-load-the-arch-value-for-images.patch)
+validpgpkeys=('DAF3A6FDB26B62912D0E8E3FBE86EBB415104FDF'  # Daniel P. Berrange
+              '09B9C8FF223EF113AFA06A39EE926C2BDACC177B') # Fabiano Fidêncio <fidencio at redhat.com>
+sha256sums=('a29e61a82b1a5727b145403914812273dfa033a0c07a15500078726bb3b84165'
+            'SKIP'
+            '439e2cf620560cb116d0c08201282c0e152b46b2ab1fa4abcd7e717a2d45dec7'
+            '80c7583882a935658b9f9409cf5beeb36f46c873bb9041bcc858aca4e2fa7741')
+
+prepare() {
+  cd $pkgname-$pkgver
+  sed -i '/export LC_ALL = C/d' maint.mk
+
+  # Upsteam fixes
+  patch -Np1 -i ../0001-media-Fix-usage-of-application-id.patch
+  patch -Np1 -i ../0002-loader-Properly-load-the-arch-value-for-images.patch
+}
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
+              --with-usb-ids-path=/usr/share/hwdata/usb.ids \
+              --with-pci-ids-path=/usr/share/hwdata/pci.ids \
+              --enable-gtk-doc
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  make check || :
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+}


More information about the arch-commits mailing list